org.apache.felix.ipojo.manipulator

## Class ManipulationEngine

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.ManipulationEngine

    public class ManipulationEngine
    extends Object

A `ManipulationEngine` is responsible to drive the component's classes manipulation.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ManipulationEngine(ClassLoader classLoader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addManipulationUnit(ManipulationUnit component)` Add information related to a discovered component that will be manipulated.
`void` `generate()` Manipulates classes of all the given component's.
`void` `setManipulationVisitor(ManipulationVisitor manipulationVisitor)`
`void` `setReporter(Reporter reporter)`
`void` `setResourceStore(ResourceStore store)` Provides the bytecode store that allows to retrieve bytecode of the component's related resources (inner classes for example).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManipulationEngine

    public ManipulationEngine(ClassLoader classLoader)

### Method Detail

#### addManipulationUnit

    public void addManipulationUnit(ManipulationUnit component)

Add information related to a discovered component that will be manipulated.

Parameters:
  `component` - additional component

#### setManipulationVisitor

    public void setManipulationVisitor(ManipulationVisitor manipulationVisitor)

#### setReporter

    public void setReporter(Reporter reporter)

Parameters:
  `reporter` - Feedback reporter.

#### setResourceStore

    public void setResourceStore(ResourceStore store)

Provides the bytecode store that allows to retrieve bytecode of the component's related resources (inner classes for example).

Parameters:
  `store` - Helps to locate bytecode for classes.

#### generate

    public void generate()

Manipulates classes of all the given component's.